Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.Under<Next>

Type Parameters:
  `Next` - The interface that is to be returned when the request is completed

Enclosing class:
  Graph

    public static interface Graph.Under<Next>

The interface for defining the node under which which a request operates.

Method Summary
`Next` | `under(Location to)` Specify the location of the node under which the request is to operate.
`Next` | `under(Path to)` Specify the path of the node under which the request is to operate.
`Next` | `under(Property idProperty)` Specify the unique identification property that identifies the node under which the request is to operate.
`Next` | `under(Property firstIdProperty, Property... additionalIdProperties)` Specify the unique identification properties that identify the node under which the request is to operate.
`Next` | `under(String toPath)` Specify the path of the node under which the request is to operate.
`Next` | `under(UUID to)` Specify the UUID of the node under which the request is to operate.

Method Detail

### under

    Next under(Location to)

  Specify the location of the node under which the request is to operate.

  Parameters:
    `to` - the location of the new parent
  Returns:
    the interface for additional requests or actions

### under

    Next under(String toPath)

  Specify the path of the node under which the request is to operate.

  Parameters:
    `toPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions

### under

    Next under(Path to)

  Specify the path of the node under which the request is to operate.

  Parameters:
    `to` - the path of the new parent
  Returns:
    the interface for additional requests or actions

### under

    Next under(UUID to)

  Specify the UUID of the node under which the request is to operate.

  Parameters:
    `to` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### under

    Next under(Property idProperty)

  Specify the unique identification property that identifies the node under which the request is to operate.

  Parameters:
    `idProperty` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### under

    Next under(Property firstIdProperty,
               Property... additionalIdProperties)

  Specify the unique identification properties that identify the node under which the request is to operate.

  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.